var suitehelp = {};
suitehelp.contexts={"PIAPI":"GUID-BA7B41FA-9102-46C6-83F4-7A804F33C1F2.html","bw.pijdbc_bw.pi.TagEventChanges":"GUID-1DDADF40-C270-4109-BAA8-372901496372.html","bw.pijdbc_bw.pi.TagValues":"GUID-EB938B94-9E95-4829-8EE3-6D0962B43695.html","bw.pijdbc_bw.pijdbc.JDBCQuery":"GUID-E4B97367-EBC1-47FE-9AE9-0FB0FD729A31.html","bw.pijdbc_bw.pi.TagDefinition":"GUID-DD1E1A42-296F-4A38-A56A-175858FF582B.html","PIServerConnection":"GUID-A62730AD-5CF2-4481-9B1B-074DDA88D0AF.html"};
// Check for a context-sensitive link and redirect if present (and valid)
suitehelp.checkContext = function () {
    "use strict";

    var context = suitehelp.contexts[suitehelp.getQueryString("context")],
        adjustedQS =  window.location.search.substring(1).replace(/context=[^&]+&|(&|^)context=[^&]+/, "");
    if (context) {
        if (adjustedQS) {
       
            document.location =  document.getElementsByTagName("head")[0].getAttribute("data-approot") + context + "?" + adjustedQS;
        } else {
            document.location =  document.getElementsByTagName("head")[0].getAttribute("data-approot") + context;
        }
    }

};

// Lookup a query string variable
suitehelp.getQueryString = function (key) {
    "use strict";

    if (!suitehelp.queryString) {
        suitehelp.queryString = {};
        var query = window.location.search.substring(1),
            vars = query.split("&"),
            i,
            pair;
        for (i = 0; i < vars.length; i += 1) {
            pair = vars[i].split("=");
            suitehelp.queryString[pair[0]] = unescape(pair[1]);
        }
    }

    return suitehelp.queryString[key];
};

suitehelp.checkContext();